<?php
    // assigned
    $canCancelProcess = (isset($_['canCancelProcess']) ? $_['canCancelProcess'] : false);
    $msgList          = (isset($_['msgList']) ? $_['msgList'] : array());
    $processArr       = (isset($_['processArr']) ? $_['processArr'] : array());
    $userArr          = (isset($_['userArr']) ? $_['userArr'] : array());

    // alert messages
    $htmlAlert = '';
    if (!empty($msgList)) {
        if (count($msgList['error'])>0) {
            $htmlAlert .= '<div class="alert alert-danger alert-dismissible fade show" id="dematpayslip_alert_danger" role="alert">';
            foreach ($msgList['error'] as $msg) {
                $htmlAlert .= '<div class="text-center">' .  $msg . '</div>';
            }
            $htmlAlert .= '<a class="close" id="dematpayslip_alert_danger_btn">';
            $htmlAlert .= '<span aria-hidden="true">&times;</span>';
            $htmlAlert .= '</a>';
            $htmlAlert .= '</div>';
        }

        if (count($msgList['warning'])>0) {
            $htmlAlert .= '<div class="alert alert-warning alert-dismissible fade show" id="dematpayslip_alert_warning" role="alert">';
            foreach ($msgList['warning'] as $msg) {
                $htmlAlert .= '<div class="text-center">' .  $msg . '</div>';
            }
            $htmlAlert .= '<a class="close" id="dematpayslip_alert_warning_btn">';
            $htmlAlert .= '<span aria-hidden="true">&times;</span>';
            $htmlAlert .= '</a>';
            $htmlAlert .= '</div>';
        }

        if (count($msgList['success'])>0) {
            $htmlAlert .= '<div class="alert alert-success alert-dismissible fade show" id="dematpayslip_alert_success" role="alert">';
            foreach ($msgList['success'] as $msg) {
                $htmlAlert .= '<div class="text-center">' .  $msg . '</div>';
            }
            $htmlAlert .= '<a class="close" id="dematpayslip_alert_success_btn">';
            $htmlAlert .= '<span aria-hidden="true">&times;</span>';
            $htmlAlert .= '</a>';
            $htmlAlert .= '</div>';
        }
    }
?>
<div class="row" id="dematpayslip">
    <div class="col-md-12 dematpayslip_block">
        <h2><?php p($l->t('Dématérialisation des bulletins de paie')); ?></h2>
        <div id="dematpayslip_alert"><?php print $htmlAlert; ?></div>

        <form action="<?php echo \OC\URLGenerator::linkToRoute('dematpayslip.page.upload'); ?>" name="dematpayslips_upload_form" enctype="multipart/form-data" method="POST" role="form">
            <fieldset>
                <legend class="dematpayslip_legend"><?php p($l->t('Upload des fichiers PDF et CSV')); ?></legend>
                <input type="hidden" name="requesttoken" value="<?php p($_['requesttoken']); ?>">
                <div class="form-group row">
                    <label for="payslips_csv_file"><?php p($l->t('Fichier CSV')); ?></label> :
                    <div class="col-md-6">
                        <input type="file" name="payslips_csv_file" />
                    </div>
                </div>
                <div class="form-group row">
                    <label for="payslips_pdf_file"><?php p($l->t('Fichier PDF')); ?></label> :
                    <div class="col-md-6">
                        <input type="file" name="payslips_pdf_file" />
                    </div>
                </div>
                <div class="form-group row">
                    <div class="col-md-12">
                        <button type="submit" class="btn btn-default"><?php p($l->t('Upload')); ?></button>
                    </div>
                </div>
            </fieldset>
        </form>
        <br />
        <br />

        <?php
        if (!empty($processArr)) {
            if ($processArr['phase']>=1) {
                ?>
                <form action="<?php echo \OC\URLGenerator::linkToRoute('dematpayslip.page.check'); ?>" id="dematpayslips_check_form" name="dematpayslips_check_form" method="POST" role="form">
                    <fieldset>
                        <input type="hidden" name="requesttoken" value="<?php p($_['requesttoken']); ?>">
                        <div class="form-group row">
                            <div class="col-md-12">
                                <label><?php p($l->t('Fichier CSV')); ?> : <?php echo $processArr['csvOrigin']; ?></label>
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-md-12">
                                <label><?php p($l->t('Fichier PDF')); ?> : <?php echo $processArr['pdfOrigin']; ?></label>
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-md-12">
                                <button type="submit" class="btn btn-default"><?php p($l->t('Vérifier')); ?></button>
                                <?php
                                    if ($canCancelProcess===true) {
                                        ?>
                                        <button type="button" id="dematpayslips_process_cancel_btn" class="btn btn-default" data-url="<?php echo \OC\URLGenerator::linkToRoute('dematpayslip.page.cancel'); ?>"><?php p($l->t('Abandonner')); ?></button>
                                        <?php
                                    }
                                ?>
                            </div>
                        </div>
                    </fieldset>
                </form>
                <?php
            }

            if ($processArr['phase']==2) {
                $retry = 0;
                if ($processArr['hasError']>0) {
                    $retry = 1;
                }
                ?>
                <form action="<?php echo \OC\URLGenerator::linkToRoute('dematpayslip.page.indexation', array('retry' => $retry)); ?>" id="dematpayslips_indexation_form" name="dematpayslips_indexation_form" method="POST" role="form">
                    <fieldset>
                        <input type="hidden" name="requesttoken" value="<?php p($_['requesttoken']); ?>">
                        <div class="form-group row">
                            <div class="col-md-12">
                                <button type="submit" class="btn btn-default"><?php p($l->t('Lancer')); ?></button>
                            </div>
                        </div>
                    </fieldset>
                </form>
                <?php
            }
        }
        ?>
    </div>
</div>
